:userdoc.
:title."System Resources" Help
:body.

:h1 res=1.Introduction
:i1.Introduction
:artwork name='memsize.bmp' align=center.
:p.
This program displays several items related to system resources,
and updates the display once per second, providing it is given
CPU time to do so.  The items displayed are:
:p.
:hp2.Available Memory:ehp2. - The amount of system memory
available, according to the :hp1.DosMemAvail:ehp1. function.  This
function has known problems in the OS/2 1.x environment.  Under OS/2
2.0 (beta 6.177), it seems to work just fine.  Unfortunately, there
seems to be no way to find out the total system memory (for comparison).
:p.
:hp2.Swap File Size:ehp2. - The current size of the system
virtual memory swap file, SWAPPER.DAT.
:p.
:hp2.Available Swap Space:ehp2. - The amount of free disk space on the
logical disk drive where the system swap file resides, less the mininum
free space.  This is how much more the swap file could expand, if necessary.
:p.
:hp2.CPU Load (%):ehp2. - The approximate percentage of the CPU's available
horsepower that's being used at the moment.  It is averaged over the previous
second.
:p.
:hp2.Drive X Free:ehp2. - The amount of free space on drive X.
:p.
The help facility is active, as you've already seen, and those program
commands that exist may be accessed via the window's system menu.  The
following commands are available:
:p.:lm margin=10.
:hpt.Save Defaults:ehpt.:hdref res=11.
.br
:hpt.Reset Defaults:ehpt.:hdref res=12.
.br
:hpt.Hide Controls:ehpt.:hdref res=13.
.br
:hpt.Show Memory Free:ehpt.:hdref res=14.
.br
:hpt.Show Swapfile Size:ehpt.:hdref res=15.
.br
:hpt.Show Swapdisk Free:ehpt.:hdref res=16.
.br
:hpt.Show CPU Load:ehpt.:hdref res=17.
.br
:hpt.Show C: Free Space:ehpt.:hdref res=53.
.br
:hpt.About:ehpt.:hdref res=18.
:p.

:h1 res=11.Save Defaults (Menu Option)
:i1.Save Defaults (Menu Option)
When you select this menu option, the program saves its current position
and the status of the Hide Controls option.  The next time the program
is started, it will be started with that position and with the controls
hidden (or not) according to the saved state.
:p.
The short-cut key for this command is F2.

:h1 res=12.Reset Defaults (Menu Option)
:i1.Reset Defaults (Menu Option)
Selecting this menu option will reset the program's font and color
attributes to their default values.

:h1 res=13.Hide Controls (Menu Option)
:i1.Hide Controls (Menu Option)
This menu option, when selected, will cause the program's frame controls
(the system menu, the titlebar and the minimize button) to be hidden.
This option can be toggled with a double-click on either mouse button.
Also, since I saw it as very useful to be able to move the window while
the controls were hidden, the window has been set up so that you can
drag it with either mouse button.

:h1 res=14.Show Memory Free (Menu Option)
:i1.Show Memory Free (Menu Option)
Selecting this option will toggle whether or not the amount of system memory
free is displayed.  If the option is check-marked, the free memory is being
displayed currently.  When the option's state is changed, the program window
will automatically resize itself to suit the new number of displayed items.

:h1 res=15.Show Swapfile Size (Menu Option)
:i1.Show Swapfile Size (Menu Option)
Selecting this option will toggle whether or not the swap-file's current size
is displayed.  If the option is check-marked, the file size is being displayed
currently.  When the option's state is changed, the program window will
automatically resize itself to suit the new number of displayed items.

:h1 res=16.Show Swap Space Free (Menu Option)
:i1.Show Swap Space Free (Menu Option)
Selecting this option will toggle whether or not the available swap space
is displayed.  If the option is check-marked, the free space is being
displayed at this time.  When the option's state is changed, the program
window will automatically resize itself to suit the new number of displayed
items.

:h1 res=17.Show CPU Load (Menu Option)
:i1.Show CPU Load (Menu Option)
Selecting this option will toggle whether or not the current CPU load is
displayed.  If the option is check-marked, the free space is being displayed
at this time.  When the option's state is changed, the program
window will automatically resize itself to suit the new number of displayed
items.

:h1 res=18.About (Menu Option)
:i1.About (Menu Option)
This menu option, when selected, will cause the program's About dialog
to be displayed.

:h1 res=180.About (Dialog)
:i1.About (Dialog)
This dialog box displays the program name, icon and copyright information.
To exit the dialog, press the ENTER key, the SPACE bar or the ESCAPE key.

:h1 res=53.Show C: Free Space (Menu Option)
:i1.Show C: Free Space (Menu Option)
Selecting this option will toggle whether or not the free space on drive C:
is displayed.  If the option is check-marked, the free space is being
displayed at this time.  When the option's state is changed, the program
window will automatically resize itself to suit the new number of displayed
items.

:h1 res=99.Keys Help
:i1.Keys Help
The following function keys have been defined for this program:
:p.
:lm margin=10.
F1 - Help
.br
F2 - Save Defaults
.br
F3 - Exit
:p.

:euserdoc.
