/*************************************************************** OBJECT.H
 *                                                                      *
 *                    Object Processor Definitions                      *
 *                                                                      *
 ************************************************************************/

#ifndef OBJECT_H
#define OBJECT_H

#define CLASS_OBJECT "Object"

/************************************************************************
 *                          Type Definitions                            *
 ************************************************************************/

typedef MRESULT (APIENTRY METHODFUNCTION) ( HWND, USHORT, MPARAM, MPARAM, PVOID ) ;
typedef METHODFUNCTION FAR *PMETHODFUNCTION ;

typedef struct Method
{
  USHORT Action ;
  PMETHODFUNCTION pFunction ;
}
METHOD ;

typedef METHOD FAR *PMETHOD ;

typedef struct Class
{
  PMETHOD pMethods ;
  USHORT cMethods ;
  MRESULT (APIENTRY *BaseObjectProcessor) (HWND, USHORT, MPARAM, MPARAM ) ;
  USHORT cDataSize ;
  ULONG flStyle ;
  BOOL fFrame ;
  struct
  {
    ULONG flStyle ;
    ULONG flCreateFlags ;
    HMODULE hmodResources ;
    USHORT idResources ;
  }
  FrameData ;
}
CLASS ;

typedef CLASS FAR *PCLASS ;

typedef struct Object
{
  SEL selObject ;
  SEL selData ;
  PCLASS pClass ;
}
OBJECT ;

typedef OBJECT FAR *POBJECT ;


/************************************************************************
 *                         Function Prototypes                          *
 ************************************************************************/

VOID ObjInitialize
(
  HAB *phAB,
  HMQ *phMQ,
  HELPINIT *pHelpInit,
  HWND *phwndHelp
) ;

HWND ObjCreateObject
(
  HWND hwndOwner,
  SHORT idWindow,
  PCLASS pClass,
  PCHAR szTitle,
  HWND hwndHelp
) ;

VOID ObjExecuteAll ( HAB hAB ) ;

VOID ObjDestroy ( HWND hwnd ) ;

VOID ObjCleanup ( HAB hAB, HMQ hMQ, HWND hwndHelp ) ;

MRESULT EXPENTRY ObjMessageProcessor
(
  HWND hwnd,
  USHORT msg,
  MPARAM mp1,
  MPARAM mp2
) ;

MRESULT EXPENTRY GeneralMessageProcessor
( 
  HWND hwnd, 
  USHORT msg, 
  MPARAM mp1, 
  MPARAM mp2,
  PMETHOD pMethods,
  SHORT cMethods,
  MRESULT (EXPENTRY *pDefaultMessageProcessor) (HWND,USHORT,MPARAM,MPARAM),
  PVOID pData
) ;

#endif
